<!DOCTYPE html>
<html>

<head>
    <title>Task 44.50 CRUD - Make branch git</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

    <!-- Import them style bootstrap cho datatable -->
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">

    <!-- Import Datatable sau jquery -->
    <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>

    <!-- Import awesome-->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.3.0/css/all.min.css">


</head>

<body>
    <div class="container-fluid">
        <div class="text-center mt-4 mb-3">
            <h2>ALL COURSES</h2>
        </div>
        <div class="form-group">
            <button class="btn btn-success" id="btn-add-course"><i class="fa fa-plus"></i>&nbsp; New Course</button>
        </div>
        <div class="jumbotron container-fluid">
            <div class="row form-group mb-0">
                <div class="col-sm-12">
                    <form>
                        <div class="form-row">
                            <h5>Courses Informations</h5>
                        </div>
                    </form>
                </div>
            </div>
            <div id="log-result" class="mt-5"></div>
            <div class="mt-5">
                <table id="tbl-courses" class="table table-bordered table-striped table-hover">
                    <thead class="thead-dark">
                        <tr>
                            <th scope='col'>No</th>
                            <th scope='col'>ID</th>
                            <th scope='col'>Course Name</th>
                            <th scope='col'>Price</th>
                            <th scope='col'>Dicount Price</th>
                            <th scope='col'>Duration</th>
                            <th scope='col'>Level</th>
                            <th scope='col'>Cover Image</th>
                            <th scope='col'>Teacher Name</th>
                            <th scope='col'>Teacher Photo</th>
                            <th scope='col'>Action</th>
                        </tr>
                    </thead>
                    <tbody>
                    </tbody>
                </table>

            </div>
            <div class="col">
                <a href="task38.20 Filter User Table v2.1.html" class="nav justify-content-end">BACK</a>
            </div>
        </div>

        <!-- Vùng Modal -->

        <!-- Create course modal -->
        <div>
            <div id="create-course-modal" class="modal fade" tabindex="-1">
                <div class="modal-dialog">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title" id="h5-modal-title">Create New Course</h5>
                            <button class="close" data-dismiss="modal">&times;</button>
                        </div>
                        <div class="modal-body">
                            <form>
                                <div class="row form-group">
                                    <div class="col-sm-3">
                                        <label for="input-create-course-code">Course code</label>
                                    </div>
                                    <div class="col-sm-9">
                                        <input type="text" id="input-create-course-code" name="coursecodes"
                                            placeholder="Course code" class="form-control">
                                    </div>
                                </div>
                                <div class="row form-group">
                                    <div class="col-sm-3">
                                        <label for="input-create-course-code">Course name</label>
                                    </div>
                                    <div class="col-sm-9">
                                        <input type="text" id="input-create-course-name" name="coursename"
                                            placeholder="Course name" class="form-control">
                                    </div>
                                </div>
                                <div class="row form-group">
                                    <div class="col-sm-3">
                                        <label for="input-create-course-code">Price</label>
                                    </div>
                                    <div class="col-sm-9">
                                        <input type="number" id="input-create-course-price" name="price"
                                            placeholder="price" class="form-control">
                                    </div>
                                </div>
                                <div class="row form-group">
                                    <div class="col-sm-3">
                                        <label for="input-create-discount">Discount</label>
                                    </div>
                                    <div class="col-sm-9">
                                        <input type="number" id="input-create-discount" name="discount"
                                            placeholder="Discount" class="form-control">
                                    </div>
                                </div>
                                <div class="row form-group">
                                    <div class="col-sm-3">
                                        <label for="input-create-duration">Duration</label>
                                    </div>
                                    <div class="col-sm-9">
                                        <input type="text" id="input-create-duration" name="duration"
                                            placeholder="hh:mm" class="form-control">
                                    </div>
                                </div>
                                <div class="row form-group">
                                    <div class="col-sm-3">
                                        <label for="input-create-level">Level</label>
                                    </div>
                                    <div class="col-sm-9">
                                        <select id="select-level" class="form-control">
                                            <option value="all">--Select level--</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="row form-group">
                                    <div class="col-sm-3">
                                        <label for="input-create-coverimage">Cover Image</label>
                                    </div>
                                    <div class="col-sm-9">
                                        <input type="text" id="input-create-cover-image" name="coverimage"
                                            placeholder="url" class="form-control">
                                    </div>
                                </div>
                                <div class="row form-group">
                                    <div class="col-sm-3">
                                        <label for="input-create-teachername">Teacher name</label>
                                    </div>
                                    <div class="col-sm-9">
                                        <input type="text" id="input-create-teacher-name" name="teachername"
                                            placeholder="name" class="form-control">
                                    </div>
                                </div>
                                <div class="row form-group">
                                    <div class="col-sm-3">
                                        <label for="input-create-teacherphoto">Teacher Photo</label>
                                    </div>
                                    <div class="col-sm-9">
                                        <input type="file" id="input-create-teacher-image" name="teacherphoto"
                                            placeholder="url" class="form-control" onChange="img_pathUrl(this);">
                                    </div>
                                </div>
                            </form>
                        </div>
                        <div class="modal-footer">
                            <button class="btn btn-secondary" id="btn-create-cancel"
                                data-dismiss="modal">Cancel</button>
                            <button class="btn btn-primary" id="btn-create-course">Create Course</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- Update course modal -->
        <div>
            <div id="update-course-modal" class="modal fade" tabindex="-1">
                <div class="modal-dialog">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title" id="h5-modal-title">Update Course</h5>
                            <button class="close" data-dismiss="modal">&times;</button>
                        </div>
                        <div class="modal-body">
                            <form>
                                <div class="row form-group">
                                    <div class="col-sm-3">
                                        <label for="input-update-course-code">Course code</label>
                                    </div>
                                    <div class="col-sm-9">
                                        <input type="text" id="input-update-course-code" name="coursecodes"
                                            placeholder="Course code" class="form-control">
                                    </div>
                                </div>
                                <div class="row form-group">
                                    <div class="col-sm-3">
                                        <label for="input-update-course-code">Course name</label>
                                    </div>
                                    <div class="col-sm-9">
                                        <input type="text" id="input-update-course-name" name="coursename"
                                            placeholder="Course name" class="form-control">
                                    </div>
                                </div>
                                <div class="row form-group">
                                    <div class="col-sm-3">
                                        <label for="input-update-course-code">Price</label>
                                    </div>
                                    <div class="col-sm-9">
                                        <input type="number" id="input-update-course-price" name="price"
                                            placeholder="price" class="form-control">
                                    </div>
                                </div>
                                <div class="row form-group">
                                    <div class="col-sm-3">
                                        <label for="input-update-discount">Discount</label>
                                    </div>
                                    <div class="col-sm-9">
                                        <input type="number" id="input-update-discount" name="discount"
                                            placeholder="Discount" class="form-control">
                                    </div>
                                </div>
                                <div class="row form-group">
                                    <div class="col-sm-3">
                                        <label for="input-update-duration">Duration</label>
                                    </div>
                                    <div class="col-sm-9">
                                        <input type="text" id="input-update-duration" name="duration"
                                            placeholder="hh:mm" class="form-control">
                                    </div>
                                </div>
                                <div class="row form-group">
                                    <div class="col-sm-3">
                                        <label for="input-update-level">Level</label>
                                    </div>
                                    <div class="col-sm-9">
                                        <select id="select-update-level" class="form-control">
                                            <option value="all">--Select level--</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="row form-group">
                                    <div class="col-sm-3">
                                        <label for="input-update-coverimage">Cover Image</label>
                                    </div>
                                    <div class="col-sm-9">
                                        <input type="text" id="input-update-cover-image" name="coverimage"
                                            placeholder="url" class="form-control">
                                    </div>
                                </div>
                                <div class="row form-group">
                                    <div class="col-sm-3">
                                        <label for="input-update-teachername">Teacher name</label>
                                    </div>
                                    <div class="col-sm-9">
                                        <input type="text" id="input-update-teacher-name" name="teachername"
                                            placeholder="name" class="form-control">
                                    </div>
                                </div>
                                <div class="row form-group">
                                    <div class="col-sm-3">
                                        <label for="input-update-teacherphoto">Teacher Photo</label>
                                    </div>
                                    <div class="col-sm-9">
                                        <input type="text" id="input-update-teacher-image" name="teacherphoto"
                                            placeholder="url" class="form-control" onChange="img_pathUrl(this);">
                                    </div>
                                </div>
                            </form>
                        </div>
                        <div class="modal-footer">
                            <button class="btn btn-secondary" id="btn-update-cancel"
                                data-dismiss="modal">Cancel</button>
                            <button class="btn btn-primary" id="btn-update-course">Update Course</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <!-- Delete confirm modal -->
        <div>
            <div class="modal fade" tabindex="-1" id="delete-confirm-modal">
                <div class="modal-dialog">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title" id="h5-modal-title">Delete Confirmation</h5>
                            <button class="close" data-dismiss="modal">&times;</button>
                        </div>
                        <div class="modal-body">
                            <label>Do you want to delete this course?</label>
                        </div>
                        <div class="modal-footer">
                            <button class="btn btn-danger" id="btn-confirm-delete-course">Confirm</button>
                            <button class="btn btn-secondary" data-dismiss="modal">Cancel</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <script>
            "use strict";
            /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
            var gBASE_URL = "https://624abe0dfd7e30c51c110ac6.mockapi.io/api/v1/";
            const gCONTENT_TYPE = "application/json;charset=UTF-8";

            var gcourseInfoObj = {
                id: "",
                courseCode: "",
                courseName: "",
                price: 0,
                discountPrice: 0,
                duration: "",
                level: "",
                coverImage: "",
                teacherName: "",
                teacherPhoto: ""
            };

            var gLevelObj = [
                {
                    value: "Beginner",
                    levelName: "Beginner"
                },
                {
                    value: "Intermediate",
                    levelName: "Intermediate"
                },
                {
                    value: "Advanced",
                    levelName: "Advanced"
                },
            ]

            //khai báo cột 
            const gDATA_COLUMN = [
                //gán với tên các cột của array
                "No",
                "id",
                "courseName",
                "price",
                "discountPrice",
                "duration",
                "level",
                "coverImage",
                "teacherName",
                "teacherPhoto",
                "action",
            ];
            const gNO_COL = 0;
            const gID_COL = 1;
            const gCOURSE_NAME_COL = 2;
            const gPRICE_COL = 3;
            const gDISCOUNT_COL = 4;
            const gDURATION_COL = 5;
            const gLEVEL_COL = 6;
            const gCOVER_IMAGE_COL = 7;
            const gTEACHER_NAME_COL = 8;
            const gTEACHER_PHOTO_COL = 9;
            const gACTION_COL = 10;

            var gStt = 0;
            var gCourseID = 0;


            var gCourseTable = $("#tbl-courses").DataTable({
                //gán column data
                columns: [
                    { data: gDATA_COLUMN[gNO_COL] },
                    { data: gDATA_COLUMN[gID_COL] },
                    { data: gDATA_COLUMN[gCOURSE_NAME_COL] },
                    { data: gDATA_COLUMN[gPRICE_COL] },
                    { data: gDATA_COLUMN[gDISCOUNT_COL] },
                    { data: gDATA_COLUMN[gDURATION_COL] },
                    { data: gDATA_COLUMN[gLEVEL_COL] },
                    { data: gDATA_COLUMN[gCOVER_IMAGE_COL] },
                    { data: gDATA_COLUMN[gTEACHER_NAME_COL] },
                    { data: gDATA_COLUMN[gTEACHER_PHOTO_COL] },
                    { data: gDATA_COLUMN[gACTION_COL] }
                ],
                columnDefs: [
                    //định nghĩa các cột hiện ra
                    {
                        targets: gNO_COL, //cột STT
                        className: "text-center text-primary",
                        render: function () {
                            gStt++;
                            return gStt;
                        }
                    },
                    {
                        targets: gID_COL,   // cột id
                        className: "text-center text-danger"
                    },
                    /*{
                       targets: gCOVER_IMAGE_COL, //cột ảnh
                       className: "text-center",
                       render: function (data, type, row, meta) {
                           return '<img src="' + data + '" alt="' + data + '"height="20" width="20"/>';
                       }
                   },
                   {
                       targets: gTEACHER_PHOTO_COL, //cột ảnh
                       className: "text-center",
                       render: function (data, type, row, meta) {
                           return '<img src="' + data + '" alt="' + data + '"height="20" width="20"/>';
                       }
                   },*/
                    {
                        targets: gACTION_COL,
                        className: "text-center",
                        //tạo nội dung HTML là một
                        defaultContent: `
                            <button id= "edit-course"  <i title = 'Edit' class="fa-regular fa-pen-to-square" style = "cursor:pointer;"></i></button> &nbsp; 
                            <button id= "delete-course" <i title = 'Delete' class="fa-solid fa-trash" style = "cursor:pointer;"></i></button>`,
                    }
                ]

            });


            /*** REGION 2 - Vùng gán / thực thi hàm xử lý sự kiện cho các elements */
            $(document).ready(function () {
                //thực hiện tải trang
                onPageLoading();
                loadLevelToSelect();
                // 2 - C: gán sự kiện Create - Thêm mới course
                $("#btn-add-course").on("click", function () {
                    onBtnAddNewCourseClick();
                });
                // gán sự kiện cho nút Create course (trên modal)
                $("#btn-create-course").on("click", function () {
                    onBtnCreateCourseClick();
                });


                // 3 - U: gán sự kiện Update - khi nhấn nút edit
                $("#tbl-courses").on("click", "#edit-course", function () {
                    onBtnEditCourseClick(this)
                });

                // gán sự kiện cho nút Update course (trên modal)
                $("#btn-update-course").on("click", function () {
                    onBtnUpdateCourseClick();
                });

                //4- D: gán sự kiện delete
                $("#tbl-courses").on("click", "#delete-course", function () {
                    onBtnDeleteClick(this);
                });

                // gán sự kiện cho nút Confirm trên modal delete
                $("#btn-confirm-delete-course").on("click", function () {
                    onBtnConfirmDeleteClick();
                });




            });


            function onPageLoading() {//get data form query string
                callAPIGetAllDataCourse();


            }

            /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */

            //hàm xử lý thực hiện lấy toàn bộ course từ API
            function callAPIGetAllDataCourse() {
                "use strict";
                $.ajax({
                    url: gBASE_URL + "/courses",
                    type: "GET",
                    dataType: "json", // added data type
                    success: function (res) {
                        loadCoursesDataToTable(res);
                    },
                    error: function (ajaxContext) {
                        alert(ajaxContext.responseText)
                    }
                });

            }
            // hàm gọi ra khi nhấn button add new course
            function onBtnAddNewCourseClick() {
                // hiển thị modal trắng lên
                $("#create-course-modal").modal("show");
            }

            //hàm gọi ra khi nhấn button create course
            function onBtnCreateCourseClick() {
                // khai báo đối tượng chứa voucher 
                // B1: Thu thập dữ liệu
                getCreateCourseData(gcourseInfoObj);
                // B2: Validate insert
                var vIsVoucherValidate = validateCourseData(gcourseInfoObj);
                if (vIsVoucherValidate) {
                    // B3: insert voucher
                    $.ajax({
                        url: gBASE_URL + "/courses",
                        type: "POST",
                        contentType: gCONTENT_TYPE,
                        data: JSON.stringify(gcourseInfoObj),
                        success: function (paramRes) {
                            // B4: xử lý front-end
                            handleInsertCourseSuccess()
                        },
                        error: function (paramErr) {
                            console.log(paramErr.status);
                        }
                    });
                }

            }


            // Hàm xử lý sự kiện khi icon edit trên bảng đc click
            function onBtnEditCourseClick(paramBtnEdit) {
                console.log("Button edit được click")
                // lưu thông tin voucherId đang được edit vào biến toàn cục
                gCourseID = getCourseIdFromButton(paramBtnEdit);
                // load dữ liệu vào các trường dữ liệu trong modal
                console.log("ID lấy được: " + gCourseID)
                getCourseById(gCourseID);
            }

            //Hàm xử lý khi nhấn nút update trên modal
            function onBtnUpdateCourseClick() {
                // khai báo đối tượng chứa user data
                var vObjectDataCourses = {
                    courseCode: "",
                    courseName: "",
                    price: "",
                    discountPrice: "",
                    duration: "",
                    level: "",
                    coverImage: "",
                    teacherName: "",
                    teacherPhoto: "",
                }

                // B1: Thu thập dữ liệu

                getUpdateCourseData(vObjectDataCourses);
                // B2: Validate update
                var vIsCourseValidate = validateCourseData(vObjectDataCourses);
                if (vIsCourseValidate) {
                    // B3: update voucher
                    $.ajax({
                        url: gBASE_URL + "/courses/" + gCourseID,
                        type: "PUT",
                        contentType: "application/json;charset=UTF-8",
                        data: JSON.stringify(vObjectDataCourses),
                        success: function (paramRes) {
                            // B4: xử lý front-end
                            handleUpdateUserSuccess();
                        },
                        error: function (paramErr) {
                            console.log(paramErr.status);
                        }
                    });
                }

            }


            //hàm xử lý sự kiện khi icon delete trên bảng được click
            function onBtnDeleteClick(paramBtnDelete) {
                //lưu thông tin userId đang được edit vào biến toàn cục
                gCourseID = getCourseIdFromButton(paramBtnDelete);
                console.log("Delete Id của user tương ứng = " + gCourseID);
                // bật modal confirm lên
                $("#delete-confirm-modal").modal("show");
            }

            // hàm xử lý sự kiện confirm delete
            function onBtnConfirmDeleteClick() {
                // b1: thu thập dữ liệu (ko có)
                // B2: validate dữ liệu (ko có)
                // b3: gọi api để xóa
                $.ajax({
                    url: gBASE_URL + "/courses/" + gCourseID,
                    type: "DELETE",
                    success: function (paramRes) {
                        handleDeleteCourseSuccess();
                    },
                    error: function (paramErr) {
                        alert("Can not delete this user");
                        $("#delete-confirm-modal").modal("hide");
                    }
                });
                // b4: xử lý hiển thị front-end
            }



            /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
            //hàm load data lên table
            function loadCoursesDataToTable(paramObjCourses) {
                "use strict";
                var vTable = $("#tbl-courses").DataTable(); //tạo biến truy xuất đến datatable
                vTable.clear();
                vTable.rows.add(paramObjCourses);
                vTable.draw();
            }


            // hàm thu thập dữ liệu để create course
            function getCreateCourseData(paramCourseObj) {
                paramCourseObj.courseCode = $("#input-create-course-code").val().trim();
                paramCourseObj.courseName = $("#input-create-course-name").val().trim();
                paramCourseObj.price = parseInt($("#input-create-course-price").val());
                paramCourseObj.discountPrice = parseInt($("#input-create-discount").val());
                paramCourseObj.duration = $("#input-create-duration").val().trim();
                paramCourseObj.level = $("#select-level").val();
                paramCourseObj.coverImage = $("#input-create-cover-image").val().trim();
                paramCourseObj.teacherName = $("#input-create-teacher-name").val().trim();
                paramCourseObj.teacherPhoto = $("#input-create-teacher-image").val().trim();

            }
            // hàm thu thập dữ liệu để update course
            function getUpdateCourseData(paramCourseObj) {
                paramCourseObj.courseCode = $("#input-update-course-code").val().trim();
                paramCourseObj.courseName = $("#input-update-course-name").val().trim();
                paramCourseObj.price = parseInt($("#input-update-course-price").val());
                paramCourseObj.discountPrice = parseInt($("#input-update-discount").val());
                paramCourseObj.duration = $("#input-update-duration").val().trim();
                paramCourseObj.level = $("#select-update-level").val();
                paramCourseObj.coverImage = $("#input-update-cover-image").val().trim();
                paramCourseObj.teacherName = $("#input-update-teacher-name").val().trim();
                paramCourseObj.teacherPhoto = $("#input-update-teacher-image").val().trim();

            }


            // hàm validate data
            function validateCourseData(paramCourseObj) {
                if (paramCourseObj.courseCode === "") {
                    alert("Please input course code");
                    return false;
                }
                if (paramCourseObj.courseName === "") {
                    alert("Please input course name");
                    return false;
                }
                if (paramCourseObj.price < 0 || paramCourseObj.price == 0) {
                    alert("Price must be greater than 0");
                    return false;
                }

                if (paramCourseObj.discountPrice < 0) {
                    alert("Discount must be greater than 0");
                    return false;
                }

                if (paramCourseObj.discountPrice != "" && paramCourseObj.discountPrice > paramCourseObj.price) {
                    alert("Discount must be less than Price");
                    return false;
                }
                if (paramCourseObj.level === "all") {
                    alert("Please select level");
                    return false;
                }
                return true;
            }




            // hàm xử lý hiển thị front-end khi thêm course thành công
            function handleInsertCourseSuccess() {
                alert("Added Course Successfully!");
                callAPIGetAllDataCourse();
                resertCreateCourseForm();
                $("#create-course-modal").modal("hide");
            }

            //hàm xử lý khi update thành công
            function handleUpdateUserSuccess() {
                alert("Updated course successfully!");
                callAPIGetAllDataCourse();
                resertCreateCourseForm();
                $("#update-course-modal").modal("hide");
            }


            //hàm xử lý khi delete thành công
            function handleDeleteCourseSuccess() {
                alert("Deleted course successfully!");
                callAPIGetAllDataCourse();
                resertCreateCourseForm();
                $("#delete-confirm-modal").modal("hide");
            }

            // hàm xóa trắng form create course
            function resertCreateCourseForm() {
                $("#input-create-course-code").val("");
                $("#input-create-course-name").val("");
                $("#input-create-course-price").val("");
                $("#input-create-discount").val("");
                $("#input-create-duration").val("");
                $("#select-level").val("all");
                $("#input-create-cover-image").val("");
                $("#input-create-teacher-name").val("");
                $("#input-create-teacher-image").val("");
            }


            // function load level data vào select
            function loadLevelToSelect() {
                for (let bLevel of gLevelObj) {
                    $("#select-level").append(
                        $("<option>")
                            .val(bLevel.value)
                            .text(bLevel.levelName)
                    );
                }
                for (let bLevel of gLevelObj) {
                    $("#select-update-level").append(
                        $("<option>")
                            .val(bLevel.value)
                            .text(bLevel.levelName)
                    );
                }
            }

            // hàm dựa vào button detail (edit or delete) xác định đc id voucher
            function getCourseIdFromButton(paramButton) {
                var vTableRow = $(paramButton).parents("tr");
                var vCourseRowData = gCourseTable.row(vTableRow).data();
                return vCourseRowData.id;
            }

            // hàm get voucher by id
            function getCourseById(paramCourseId) {
                $.ajax({
                    url: gBASE_URL + "/courses/" + paramCourseId,
                    type: "GET",
                    success: function (paramCourseRes) {
                        showCourseDataToModal(paramCourseRes);
                    },
                    error: function (paramErr) {
                        console.log(paramErr.status);
                    }
                });
                // hiển thị modal lên
                $("#update-course-modal").modal("show");
            }

            // hàm show voucher obj lên modal
            function showCourseDataToModal(paramCourseObj) {
                $("#input-update-course-code").val(paramCourseObj.courseCode);
                $("#input-update-course-name").val(paramCourseObj.courseName);
                $("#input-update-course-price").val(paramCourseObj.price);
                $("#input-update-discount").val(paramCourseObj.discountPrice);
                $("#input-update-duration").val(paramCourseObj.duration);
                $("#select-update-level").val(paramCourseObj.level);
                $("#input-update-cover-image").val(paramCourseObj.coverImage);
                $("#input-update-teacher-name").val(paramCourseObj.teacherName);
                $("#input-update-teacher-image").val(paramCourseObj.teacherPhoto);
            }

            /*function img_pathUrl(input){
            $('#input-create-teacher-image')[0].src = images/teacher/claire_robertson.jpg (window.URL ? URL : webkitURL).createObjectURL(input.files[0]);
            }*/

        </script>
</body>

</html>